gstreamermm: Gst::MessageStreamStatus Class Reference

gstreamermm 1.0.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Gst::MessageStreamStatus Class Reference

A stream status message. More...

Inheritance diagram for Gst::MessageStreamStatus:
[legend]
Collaboration diagram for Gst::MessageStreamStatus:
[legend]

## Public Member Functions
void | set_object (const Glib::RefPtr< Gst::Object >& object)
| Configures the object handling the streaming thread. More...
Glib::RefPtr< Gst::Object > | get_object () const
| Extracts the object managing the streaming thread from message. More...
void | parse (Gst::StreamStatusType& type, Glib::RefPtr< Gst::Element >& owner) const
| Extracts the stream status type and owner of the Gst::Message. More...
Gst::StreamStatusType | parse () const
| Extracts the stream status type. More...
Glib::RefPtr< Gst::Element > | parse_owner () const
| Extracts the owner of the Gst::Message. More...
Public Member Functions inherited from Gst::Message
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMessage* | gobj ()
| Provides access to the underlying C instance. More...
const GstMessage* | gobj () const
| Provides access to the underlying C instance. More...
GstMessage* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Gst::Structure | get_structure () const
| Access the structure of the message. More...
Glib::RefPtr< Gst::Message > | create_writable ()
| Checks if a message is writable. More...
guint32 | get_seqnum () const
| Retrieve the sequence number of a message. More...
void | set_seqnum (guint32 seqnum)
| Set the sequence number of a message. More...
MessageType | get_message_type () const
| Get the GstMessageType of message. More...
ClockTime | get_timestamp () const
| Get the timestamp of message. More...
Glib::RefPtr< Gst::Object > | get_source ()
| Get the object that posted the message. More...
Glib::RefPtr< const Gst::Object > | get_source () const
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...

## Static Public Member Functions
static Glib::RefPtr < Gst::MessageStreamStatus > | create (const Glib::RefPtr< Gst::Object >& src, Gst::StreamStatusType type, const Glib::RefPtr< Gst::Element >& owner)
| Create a new stream status message. More...

## Additional Inherited Members
Protected Member Functions inherited from Gst::Message
| Message ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)
Static Protected Member Functions inherited from Gst::Message
template<class MsgType >
static Glib::RefPtr< MsgType > | wrap (GstMessage* message, bool take_copy=false)
Related Functions inherited from Gst::Message
Glib::RefPtr< Gst::Message > | wrap (GstMessage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A stream status message.

See create() for more details.

## Member Function Documentation

static Glib::RefPtr<Gst::MessageStreamStatus> Gst::MessageStreamStatus::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::StreamStatusType | type,
|  | const Glib::RefPtr< Gst::Element >& | owner
| ) |  |
| static

Create a new stream status message.

This message is posted when a streaming thread is created/destroyed or when the state changed.

Parameters

  src | The object originating the message.
  type | The stream status type.
  owner | The owner element of src.

Returns
  The new stream status message. MT safe.

Glib::RefPtr<Gst::Object> Gst::MessageStreamStatus::get_object | ( |  | ) | const

Extracts the object managing the streaming thread from message.

Returns
  The object that manages the streaming thread. The actual object is usually a Gst::Task but other types can be added in the future. The object remains valid as long as the message is valid.

void Gst::MessageStreamStatus::parse | ( | Gst::StreamStatusType& | type,
|  | Glib::RefPtr< Gst::Element >& | owner
| ) |  | const

Extracts the stream status type and owner of the Gst::Message.

The returned owner remains valid for as long as the reference to the message is valid.

MT safe.

Parameters

  type | A reference to hold the status type.
  owner | A reference to hold the owner Gst::Element.

Since 0.10.24.

Gst::StreamStatusType Gst::MessageStreamStatus::parse | ( |  | ) | const

Extracts the stream status type.

MT safe.

Returns
  The stream status type.

Since 0.10.24.

Glib::RefPtr<Gst::Element> Gst::MessageStreamStatus::parse_owner | ( |  | ) | const

Extracts the owner of the Gst::Message.

The returned owner remains valid for as long as the reference to the message is valid.

MT safe.

Returns
  The owner Gst::Element.

Since 0.10.24.

void Gst::MessageStreamStatus::set_object | ( | const Glib::RefPtr< Gst::Object >& | object | ) |

Configures the object handling the streaming thread.

This is usually a Gst::Task object but other objects might be added in the future.

Parameters

  object | The object controlling the streaming.

Since 0.10.24.

The documentation for this class was generated from the following file:

- gstreamermm/message.h